import { useDenaroPlugin } from '@vuepress-denaro/core';
import { DIR_NAME, PLUGIN_NAME } from './utils.js';
export const dynamicTitlePlugin = (options) => useDenaroPlugin(() => {
    const { showIcon = '', showText = '(/≧▽≦/)咦！又好了！', hideIcon = '', hideText = '(●—●)喔哟, 崩溃啦！', recoverTime = 2000, } = options || {};
    return {
        name: PLUGIN_NAME,
        dirname: DIR_NAME,
        useClientConfig: true,
        define: {
            __DYNAMIC_TITLE_SHOW_ICON__: showIcon,
            __DYNAMIC_TITLE_SHOW_TEXT__: showText,
            __DYNAMIC_TITLE_HIDE_ICON__: hideIcon,
            __DYNAMIC_TITLE_HIDE_TEXT__: hideText,
            __DYNAMIC_TITLE_RECOVER_TIME__: recoverTime, // The time to recover the title after the tab is changed.
        },
    };
});
